Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice
Class ServiceClientDeployer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.webservice.ServiceClientDeployer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, ServiceClientDeployerMBean, org.jboss.system.ServiceMBean, org.jboss.webservice.WebServiceClientDeployer

public class ServiceClientDeployer
extends org.jboss.system.ServiceMBeanSupport
implements ServiceClientDeployerMBean, org.jboss.webservice.WebServiceClientDeployer

Binds a JAXRPC Service object in the client's ENC for every service-ref element in the deployment descriptor.

Since:
  27-April-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.webservice.ServiceClientDeployerMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.webservice.WebServiceClientDeployer
`OBJECT_NAME`

Constructor Summary
`ServiceClientDeployer()`

Method Summary
`void` | `setupServiceRefEnvironment(Context envCtx, Iterator serviceRefs, org.jboss.deployment.DeploymentInfo di)` This binds a jaxrpc Service into the callers ENC for every service-ref element

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### ServiceClientDeployer

    public ServiceClientDeployer()

Method Detail

### setupServiceRefEnvironment

    public void setupServiceRefEnvironment(Context envCtx,
                                           Iterator serviceRefs,
                                           org.jboss.deployment.DeploymentInfo di)
                                    throws org.jboss.deployment.DeploymentException

  This binds a jaxrpc Service into the callers ENC for every service-ref element

  Specified by:
    `setupServiceRefEnvironment` in interface `ServiceClientDeployerMBean`
  Parameters:
    `envCtx` - ENC to bind the javax.rpc.xml.Service object to
    `serviceRefs` - An iterator of the service-ref elements in the client deployment descriptor
    `di` - The client's deployment info
  Throws:
    `org.jboss.deployment.DeploymentException` - if it goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.